
%define realname   aliased
%define version    0.22
%define release    %mkrel 3

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Use shorter versions of class names
Source:     http://www.cpan.org/modules/by-module//%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
Provides: perl(aliased)

BuildArch: noarch

%description
'aliased' is simple in concept but is a rather handy module. It loads the
class you specify and exports into your namespace a subroutine that returns
the class name. You can explicitly alias the class to another name or, if
you prefer, you can do so implicitly. In the latter case, the name of the
subroutine is the last part of the class name.

%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*





%changelog
* Sun Nov 16 2008 Jérôme Quelin <jquelin@mandriva.org> 0.22-3mdv2009.1
+ Revision: 303674
- forcing provides: since all-lower case modules are automatically stripped

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.22-2mdv2009.0
+ Revision: 268890
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 12 2008 Jérôme Quelin <jquelin@mandriva.org> 0.22-1mdv2009.0
+ Revision: 218578
- fix summary & description
- import perl-aliased


